<?php

namespace Litecms;

use DB;
use Illuminate\Database\Seeder;

class EventTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('events')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'event.event.view',
                'name'      => 'View Event',
            ],
            [
                'slug'      => 'event.event.create',
                'name'      => 'Create Event',
            ],
            [
                'slug'      => 'event.event.edit',
                'name'      => 'Update Event',
            ],
            [
                'slug'      => 'event.event.delete',
                'name'      => 'Delete Event',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/event/event',
                'name'        => 'Event',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/event/event',
                'name'        => 'Event',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'event',
                'name'        => 'Event',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Event',
                'module'    => 'Event',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'event.event.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
