<?php

namespace Litecms\Event\Repositories\Eloquent;

use Litecms\Event\Interfaces\EventRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class EventRepository extends BaseRepository implements EventRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('litecms.event.event.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.event.event.model.model');
    }
}
