<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for event in event package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  event module in event package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Event',
    'names'         => 'Events',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Events',
        'sub'   => 'Events',
        'list'  => 'List of events',
        'edit'  => 'Edit event',
        'create'    => 'Create new event'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'name'                       => '',
        'description'                => '',
        'start_date'                 => '',
        'end_date'                   => '',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'name'                       => 'Event Name',
        'description'                => 'Description',
        'start_date'                 => 'Star Date',
        'end_date'                   => 'End Date',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'name'                       => ['name' => 'Event Name', 'data-column' => 1, 'checked'],
        'description'                => ['name' => 'Description', 'data-column' => 2, 'checked'],
        'start_date'                 => ['name' => 'Star Date', 'data-column' => 3, 'checked'],
        'end_date'                   => ['name' => 'End Date', 'data-column' => 4, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Events',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
